var _gaq = _gaq || [];
_gaq.push(['_setAccount', 'UA-87975985-1']);
(function() {
  var ga = document.createElement('script'); ga.type = 'text/javascript'; ga.async = true;
  ga.src = 'https://ssl.google-analytics.com/ga.js';
  var s = document.getElementsByTagName('script')[0]; s.parentNode.insertBefore(ga, s);
})();

chrome.browserAction.onClicked.addListener(function(tab) {
    _gaq.push(['_trackEvent', 'draw', 'clicked']);
    chrome.tabs.executeScript(tab.id, {
        file: "marker.js"
    }, function() {
        if (chrome.runtime.lastError) {
            alert('Page Marker does not have access to certain pages like the New Tab page and the Web Store. If you are trying to use it on a file, open the chrome://extensions page, find Page Marker, and click "Allow access to file URLs."');
        }
    });
    chrome.tabs.insertCSS(null, {
      file: "main.css"
    }, function() {
        if (chrome.runtime.lastError) {
          //already checked
        }
    });
});

chrome.runtime.onMessage.addListener(function(request, sender, sendResponse) {
  if (request.from == 'content_script') {
    chrome.tabs.captureVisibleTab(null, {}, function (image) {
      sendResponse({screenshot: image});
    });
  }
  return true;
});

chrome.runtime.onInstalled.addListener(function (details) {
  if(details.reason == "install"){
    chrome.tabs.create({url: "https://pagemarker.org/installed"}, function (tab) {
        console.log("Installed!");
    });
  }
});

chrome.runtime.setUninstallURL("https://pagemarker.org/redirect/uninstall");

